> ## Documentation Index
> Fetch the complete documentation index at: https://velt-mintlify-e6426361.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get organizations (v1)

> Retrieve specific Velt organizations by organization IDs using the v1 REST API. Use this endpoint with SDK v3 or earlier versions.

Use this API to retrieve specific organizations by organization IDs.

<Warning>
  Use this for SDK v3 or prior versions.
</Warning>

# Endpoint

`POST https://api.velt.dev/v1/organizations/get`

# Headers

<ParamField header="x-velt-api-key" type="string" required>
  Your API key.
</ParamField>

<ParamField header="x-velt-auth-token" type="string" required>
  Your [Auth Token](/security/auth-tokens).
</ParamField>

# Body

#### Params

<ParamField body="data" type="object" required>
  <Expandable title="properties">
    <ParamField body="organizationIds" type="string[]">
      Array of Organization IDs (Optional).
      Limit: Only 30 IDs can be passed at a time.
      If this is not provided, all organizations will be returned.
    </ParamField>
  </Expandable>
</ParamField>

## **Example Requests**

```JSON theme={null}
{
  "data": {
    "organizationIds": [
      "yourOrganizationId"
    ]
  }
}
```

# Response

#### Success Response

```JSON theme={null}
{
  "result": {
    "status": "success",
    "message": "Organization(s) retrieved successfully.",
    "data": [
      {
        "id": "yourOrganizationId",
        "organizationName": "Your Organization Name",
        "disabled": false,
        // other metadata fields may be included here
      }
      // ... more organizations if multiple were retrieved
    ]
  }
}
```

#### Failure Response

```JSON theme={null}
{
  "error": {
    "message": "ERROR_MESSAGE",
    "status": "INVALID_ARGUMENT"
  }
}
```

<ResponseExample>
  ```js theme={null}
  {
    "result": {
      "status": "success",
      "message": "Organization(s) retrieved successfully.",
      "data": [
        {
          "id": "yourOrganizationId",
          "organizationName": "Your Organization Name",
          "disabled": false,
          // other metadata fields may be included here
        }
        // ... more organizations if multiple were retrieved
      ]
    }
  }
  ```
</ResponseExample>
